Mail::Server(3pm)

NAME
Mail::Server - Base class for email servers in MailBox

INHERITANCE
 Mail::Server
   is a Mail::Reporter

 Mail::Server is extended by
   Mail::Server::IMAP4

SYNOPSIS
  my $server = Mail::Server::IMAP4->new($msg);
  my $server = Mail::Server::POP3->new($msg);

DESCRIPTION
This module is a place-holder, logical in the class hierarchy. On the moment, no full server has been implemented, but some parts of IMAP4 exist.

Servers:

•   Mail::Server::IMAP4

    Partial IMAP4 implementation.

Extends "DESCRIPTION" in Mail::Reporter.

METHODS
Extends "METHODS" in Mail::Reporter.

DETAILS

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Box version 4.02, built on April 10, 2026. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.